Hur hittar Linux Mint 17.1 drivrutiner till grafikkort?

Permalänk
Medlem

Hur hittar Linux Mint 17.1 drivrutiner till grafikkort?

Jag är helt ny på Linux och driver manager säger att "No proprietary drivers are in use" när jag försöker få Linux att uppmärksamma att jag faktiskt laddat ned en drivrutin till grafikkortet som jag hoppades att Linux skulle vilja använda. I en 6 år gammal tråd kom några fram till att 'Jockey', som tydligen finns i driver manager, behövde "nvidia-modaliases" för att kunna hitta drivrutiner, men efter en del googlande kom jag inte fram till vad "nvidia-modaliases" är för något och var jag kan få tag på det. Och en så gammal tråd nog är utdaterad nu, och kanske är det något annat jag behöver? Just nu är det "software rendering" som gäller för min dator, men jag skulle vilja kolla om grafikkortet fungerar som det ska.

Permalänk

Hej, du kan börja med att skriva det här i din terminal, skicka gärna svaret du får, det blir enklare att utreda vad som kan vara fel då, dessutom ser andra det också och kan bidra med hjälp!!

lspci | grep -i vga

Permalänk
Medlem

Terminalen: VGA compatible controller: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] (rev a2)

Drivrutinen jag laddade ned från Nvidia heter "NVIDIA-Linux-x86_64-346.35.run" och placerades i Downloads av Firefox, och det verkar inte som om jag kan flytta den därifrån, trots att Linux säger att filen kommer att placeras där jag väljer att klistra in den.

Permalänk

Finns mer intressant här att läsa, troligen nära ditt eget problem! https://devtalk.nvidia.com/default/topic/804886/jetpack-1-0-l...

Permalänk
Medlem

Jag skulle rekommendera att du följer det här http://www.noobslab.com/2014/12/use-nvidia-graphics-drivers-i...

Sedan rebootar.

sudo add-apt-repository ppa:xorg-edgers/ppa sudo apt-get update sudo apt-get install nvidia-343 nvidia-settings

EDIT: såg det var 346 du ville ha in. Skriv då: "sudo apt-get install nvidia-346 nvidia-settings" istället.

Permalänk

Jo men det där är bra, följ Krillezz råd, det ser bra väldigt bra ut!!

Permalänk
Medlem

"No proprietary drivers are in use" innebär att drivrutinen som används är skriven av öppen källkod och alltså skriven av "dom som gör" linux och du använder alltså en öppen drivrutin, annars hade du haft en "proprietary drivers" som är sluten programkod där du inte kan se källkoden. Men i båda fallen har du en fungerande drivrutin.

Jag är ganska säker på att du inte behöver ändra någon drivrutin då Linux drivrutin för nVidia chip fungerar bättre än nVidias egna drivrutiner.

Permalänk
Medlem
Skrivet av OldComputer:

"No proprietary drivers are in use" innebär att drivrutinen som används är skriven av öppen källkod och alltså skriven av "dom som gör" linux och du använder alltså en öppen drivrutin, annars hade du haft en "proprietary drivers" som är sluten programkod där du inte kan se källkoden. Men i båda fallen har du en fungerande drivrutin.

Jag är ganska säker på att du inte behöver ändra någon drivrutin då Linux drivrutin för nVidia chip fungerar bättre än nVidias egna drivrutiner.

Det har inte varit min upplevelse alls.

Permalänk

Nouveau: Accelerated Open Source drivrutin för nVidia-kort

Den nouveau-projektet syftar till att bygga högkvalitativa, fri / libre drivrutiner för nVidia-kort. "Nouveau" [nuvo] är det franska ordet för "nya". Nouveau är sammansatt av en Linux kernel KMS drivrutin (nouveau), Gallium3D förare i Mesa, och Xorg DDX (XF86-video-nouveau).

Permalänk

Följ råden av Krillezz, jag tror det kommer att fungera! Om det inte gör det är det heller ingen panik, men som jag ser det är dom råden bra!!

Permalänk
Medlem

Jag har kommit fram till att när det gäller äldre ATI grafikkort så stöds de inte i senaste catalyst. Nvidia brukar vara bättre på det där.
Dock, jag har haft problem med ubuntu och mint i försök att använda äldre Nvidia kort med. Jockey är bara en lösning som ubuntu använde förr tror jag, om mint använder det är jag förvånad :S

Permalänk

Starta ny tråd för ATI problem

Skrivet av Luminous:

Jag har kommit fram till att när det gäller äldre ATI grafikkort så stöds de inte i senaste catalyst. Nvidia brukar vara bättre på det där.
Dock, jag har haft problem med ubuntu och mint i försök att använda äldre Nvidia kort med. Jockey är bara en lösning som ubuntu använde förr tror jag, om mint använder det är jag förvånad :S

Starta ny tråd för ATI problem..

Permalänk
Medlem

Tack för hjälpen!

Jag lyckades inte få hem 343 eller 346, utan det bidde bara 340. Att 346 var en beta visste jag inte heller, hos Nvidia såg jag bara att det var den senaste versionen som var anpassad till uppgifterna jag matade in. Jag utgick från att den var testad och klar. När jag startade om datorn fick jag animerade fönster, och inget meddelande om software rendering. Så jag antar att kortet fungerar som det ska nu, trots att driver manager efter ändringen till den nya drivrutinen hävdade samma sak som tidigare: No propriety drivers are in use.

Men jag tänkte testa det på något slags spel i alla fall, för det är tydligen vad andra gör i brist på benchmark-program för Linux. Så nu får jag vänta en timme på att Path of Exile ska laddas ned. Trodde i min enfald att det fanns i en Linux-version av just det spelet, men tydligen är det Wine och PlayOnLinux som gäller. Jag följer blint alla instruktioner. Det är som att vara 12 år och mata in LOAD"*",8,1 på kompisens Commodore 64.

Permalänk
Skrivet av Gillsing:

Tack för hjälpen!

Jag lyckades inte få hem 343 eller 346, utan det bidde bara 340. Att 346 var en beta visste jag inte heller, hos Nvidia såg jag bara att det var den senaste versionen som var anpassad till uppgifterna jag matade in. Jag utgick från att den var testad och klar. När jag startade om datorn fick jag animerade fönster, och inget meddelande om software rendering. Så jag antar att kortet fungerar som det ska nu, trots att driver manager efter ändringen till den nya drivrutinen hävdade samma sak som tidigare: No propriety drivers are in use.

Men jag tänkte testa det på något slags spel i alla fall, för det är tydligen vad andra gör i brist på benchmark-program för Linux. Så nu får jag vänta en timme på att Path of Exile ska laddas ned. Trodde i min enfald att det fanns i en Linux-version av just det spelet, men tydligen är det Wine och PlayOnLinux som gäller. Jag följer blint alla instruktioner. Det är som att vara 12 år och mata in LOAD"*",8,1 på kompisens Commodore 64.

1, PlayOnLinux är Wine med en frontend skriven i python etc så ingen skillnad bara lättare hantering som man annars kan göra manuellt via terminalen. Finns fler också.

2. Hur installerade du drivrutinerna, vilken procedur använde du. Problemet är att om du gick in på nVidias hemsida och laddade ner och körde sedan run filen är att den inte är 100% anpassad och att pakethanteraren inte vet om dessa filer. Vid nästa uppgradering av kernel kommer du hamna i en svart kommandotolk och lösa dependencies som inte löstes pga installation utan pakethanteraren.

3, Angående installation av spelet försök att först få ner senaste version av wine unstable och köra spelet utan några som helst modifieringar på Wine.

Permalänk
Medlem

Jag lyckades aldrig installera drivrutinen som jag plockade hem direkt från Nvidia. Tydligen var det något med teckenkodningen som gjorde att den inte gick att köra.

Wine unstable låter inte särskilt stabilt? Men visst, i efterhand har jag sett att instruktionerna jag gick efter var två år gamla. Ska se hur det går nu när det är dags att testa.

Permalänk
Hedersmedlem
Skrivet av Gillsing:

Jag lyckades aldrig installera drivrutinen som jag plockade hem direkt från Nvidia. Tydligen var det något med teckenkodningen som gjorde att den inte gick att köra.

Windowstänk att gå till Nvidias hemsida. Gör inte det primärt i en Linuxdistribution. Använd distributionens egna förpaketerade lösningar, så kommer pakethanteraren lösa uppdateringar och beroenden åt dig automatiskt för "all framtid". Mycket mindre jobb.

Skrivet av Gillsing:

Wine unstable låter inte särskilt stabilt? Men visst, i efterhand har jag sett att instruktionerna jag gick efter var två år gamla. Ska se hur det går nu när det är dags att testa.

Det som menas med "unstable" är att funktioner inte är "spikade", utan det är en version under utveckling. Den har alltså generellt de "nyaste" funktionerna, vilket just för Wine kan göra stor skillnad, speciellt om man tänker använda Wine för att spela nyare spel, men "nya" betyder ju också "mindre väl testade". "Unstable" betyder dock inte att det kraschar var femte minut, utan till stor del att man ska vara medveten om att programmets funktioner kan ändras från en version till en annan, och möjligen medföra regressioner. När funktioner når Wines stabila gren så är de mer vältestade och "spikade".

Försök generellt lära dig att använda programbanken, vilket är ett led i att "tänka Linux" snarare än att "tänka Windows". Det ska inte behöva till så många instruktioner utöver att få kläm på den. Därefter ska den förhoppningsvis innehålla många av de program du vill ha.

Permalänk
Medlem
Skrivet av phz:

Windowstänk att gå till Nvidias hemsida. Gör inte det primärt i en Linuxdistribution. Använd distributionens egna förpaketerade lösningar, så kommer pakethanteraren lösa uppdateringar och beroenden åt dig automatiskt för "all framtid". Mycket mindre jobb.

Det som menas med "unstable" är att funktioner inte är "spikade", utan det är en version under utveckling. Den har alltså generellt de "nyaste" funktionerna, vilket just för Wine kan göra stor skillnad, speciellt om man tänker använda Wine för att spela nyare spel, men "nya" betyder ju också "mindre väl testade". "Unstable" betyder dock inte att det kraschar var femte minut, utan till stor del att man ska vara medveten om att programmets funktioner kan ändras från en version till en annan, och möjligen medföra regressioner. När funktioner når Wines stabila gren så är de mer vältestade och "spikade".

Försök generellt lära dig att använda programbanken, vilket är ett led i att "tänka Linux" snarare än att "tänka Windows". Det ska inte behöva till så många instruktioner utöver att få kläm på den. Därefter ska den förhoppningsvis innehålla många av de program du vill ha.

Ja +1 här, försök göra som det är tänkt man ska göra i linux. Använd inbyggda programbanken för så mycket du kan. Det finns terminalkommandon för detta. Men även en hel del grafiska program såsom synaptic och software-center. Det kommer att underlätta mycket. Sedan är ett tips att alla saker som du skriver "sudo" framför är generellt ganska farliga. Jag har till exempel lyckas skriva över hela min hårddisk eftersom jag skrev "sudo" framför ett felskrivet kommando. Inget roligt.

Välkommen till linux kanske man ska säga också! Det är bra att du undersöker lite först innan du frågar, det kommer gynna dig.

Försök att inte köra .run filer om du kan undvika, det kommer oftast göra lite besvärliga saker med ditt system och kan leda till att uppdateringar krånglar osv.

Permalänk
Medlem

Jag är också ny till Linux Mint, efter att jag först prövat Ubuntu men gett upp.

Den här guiden tycker jag är bra. Den förklarar på ett enkelt sätt hur man ska göra, och varför man ska göra en sak utan att man drunknar i all information. Bland annat hur man installerar nya grafikdrivrutiner.
https://sites.google.com/site/easylinuxtipsproject/mint-cinna...

Permalänk
Medlem
Skrivet av Gillsing:

Jag lyckades aldrig installera drivrutinen som jag plockade hem direkt från Nvidia. Tydligen var det något med teckenkodningen som gjorde att den inte gick att köra.

När du installerar nvidias drivrutiner måste du göra det i konsolläge med det grafiska gränssnittet avstängt.
Enkel och smidig guide [steg för steg] för Mint och Ubuntu finns här: http://linuxbeastmagazine.blogspot.se/2014/10/how-to-install-... [Borde funka till fler gpu:er än gtx 750.]

[Skriv upp steg 4-9 på papper kan vara ett tips.]

Vissa framtida uppdateringar av systemet kan bryta beroenden så att du måste göra om installationen.

Permalänk
Skrivet av Velour:

När du installerar nvidias drivrutiner måste du göra det i konsolläge med det grafiska gränssnittet avstängt.
Enkel och smidig guide [steg för steg] för Mint och Ubuntu finns här: http://linuxbeastmagazine.blogspot.se/2014/10/how-to-install-... [Borde funka till fler gpu:er än gtx 750.]

[Skriv upp steg 4-9 på papper kan vara ett tips.]

Vissa framtida uppdateringar av systemet kan bryta beroenden så att du måste göra om installationen.

Varför inte bara använda de som finns i repo och slippa allt det där samt problemen som kommer för eller senare.

Permalänk
Medlem

Jag drog ner (Ubuntu 14.04) drivers från Nvidias sida (finns lite äldre på ubuntus software center). Startade om i utan grafiskt (tog bort text splash och gfxmode blabla temporärt från grub). Gav execute permissions till filen (chmod chown) och körde (./NVIDIAfil.run).
För att få steam och 32bit versionen behövde jag dock installera en sak innan... TL;DR .run från nvidias sida funkar bra för mig, citera för fråga

Permalänk
Hedersmedlem
Skrivet av Velour:

När du installerar nvidias drivrutiner måste du göra det i konsolläge med det grafiska gränssnittet avstängt.
Enkel och smidig guide [steg för steg] för Mint och Ubuntu finns här: http://linuxbeastmagazine.blogspot.se/2014/10/how-to-install-... [Borde funka till fler gpu:er än gtx 750.]

[Skriv upp steg 4-9 på papper kan vara ett tips.]

Vissa framtida uppdateringar av systemet kan bryta beroenden så att du måste göra om installationen.

Som sagt ovan så gör ni er själva en väldig otjänst av att dra hem drivrutinen direkt från Nvidia. Det kan finnas tillfällen då det är befogat, som om man exempelvis behöver göra felsökning av specifika versioner, om man faktiskt är personen som sköter paketeringen åt en distribution eller om man har ett kort som ännu inte har stöd i den version som ingår i officiella programbanken så att man behöver en färskare version (men allt som oftast finns det då tredjepartsbanker som är ett klart bättre alternativ), men i 99 % av fallen så är det "fel sätt" att lösa det på.

Jag körde drivrutiner direkt från Nvidia för 10 år sedan när det inte fanns någon vettig paketering för dessa i Debian, och jag fick lära mig mer än jag egentligen ville om dessa moduler, och det är så tusenfalt mycket enklare att låta paketsystemet hantera allt, vilket Debianbaserade distributioner generellt har tillåtit sedan många år tillbaka i tiden. Nätet svämmar tyvärr fortfarande över av tips från tiden innan detta var ett faktum.

Permalänk
Medlem
Skrivet av Commander:

Varför inte bara använda de som finns i repo och slippa allt det där samt problemen som kommer för eller senare.

Därför att jag upplevde de problem som ts beskrev i trådstarten när jag testade dem.